Package wx :: Package lib :: Module splashscreen :: Class SplashScreen

[frames | no frames]

## Type SplashScreen

    object --+
             |
        Object --+
                 |
        EvtHandler --+
                     |
                Window --+
                         |
            TopLevelWindow --+
                             |
                         Frame --+
                                 |
                                SplashScreen

Method Summary
| ``__init__`(self, parent, ID, title, style, duration, bitmapfile, callback)` parent, ID, title, style -- see wx.Frame...
| `OnCloseWindow(self, event)`
| `OnEraseBG(self, event)`
| `OnMouseClick(self, event)`
| `OnPaint(self, event)`
| `OnSplashExitDefault(self, event)`

Property Summary

Instance Method Details

### __init__(self, parent, ID=-1, title='SplashScreen', style=33587200, duration=1500, bitmapfile='bitmaps/splashscreen.bmp', callback=None)
(Constructor)

    parent, ID, title, style -- see wx.Frame
    duration -- milliseconds to display the splash screen
    bitmapfile -- absolute or relative pathname to image file
    callback -- if specified, is called when timer completes, callback is
                responsible for closing the splash screen

  Overrides:
    `wx.Frame.__init__`

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:08:16 2007 | http://epydoc.sf.net